Subject: ObjectSerializer not capable of Collections
Description

Using the serializer on Objects containing instances of \Doctrine\Common\Collections\Collection will fail with an exception: Object of
type "" not registered.

Even if the Doctrine persistence knows how to deal with Collections, situations might need to serialize the Object for Sessions,
Encryptions and so on.

Add support to the ObjectSerializer is quite easy.

Related issues:
related to TYPO3.Flow - Bug # 13559: ObjectSerializer failes with persistent ... Accepted 2011-03-02

Associated revisions
Revision a41d018e - 2012-11-08 09:33 - Thomas Layh

[BUGFIX] ObjectSerializer not capable of Collections

Serializing Objects containing properties being a
Doctrine Collection fails with an exception since the
ObjectSerializer is not capable of recognizing them.

This change adds support for Collection properties in objects
and arrays.

Change-Id: I26afda43f943b759764ca61a9b42c283302d83f7
Resolves: #42715
Releases: 1.1, 1.2

History
#1 - 2012-11-06 11:27 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16231

#2 - 2012-11-08 09:21 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns
#3 - 2012-11-08 09:34 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16231

#4 - 2012-12-11 20:58 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17113

#5 - 2012-12-11 21:08 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
